[BACK]Return to fw_install.sh CVS log [TXT][DIR] Up to [local] / openbsd / fw_update

Diff for /openbsd/fw_update/fw_install.sh between version 1.74 and 1.76

version 1.74, 2021/12/11 20:57:51 version 1.76, 2021/12/11 21:11:02
Line 219 
Line 219 
                 f=$( firmware_filename "$d" || true )                  f=$( firmware_filename "$d" || true )
                 [ "$f" ] || continue                  [ "$f" ] || continue
                 f="$LOCALSRC/$f"                  f="$LOCALSRC/$f"
         elif ! "$INSTALL" && ! grep -q "($f)" "$CFILE" ; then          elif ! "$INSTALL" && ! grep -Fq "($f)" "$CFILE" ; then
                 echo "Cannot download local file $f" >&2                  echo "Cannot download local file $f" >&2
                 exit 2                  exit 2
         fi          fi
Line 241 
Line 241 
                         verify "$f" || continue                          verify "$f" || continue
                 # else assume it was verified when downloaded                  # else assume it was verified when downloaded
                 fi                  fi
         elif "$INSTALL" && ! "$DOWNLOAD"; then          elif "$DOWNLOAD"; then
                 echo "Cannot install ${f##*/}, not found" >&2  
                 continue  
         else  
                 fetch  "$f" || continue                  fetch  "$f" || continue
                 verify "$f" || continue                  verify "$f" || continue
           elif "$INSTALL"; then
                   echo "Cannot install ${f##*/}, not found" >&2
                   continue
         fi          fi
   
         "$INSTALL" || continue          "$INSTALL" || continue

Legend:
Removed from v.1.74  
changed lines
  Added in v.1.76

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>